Loading...
Searching...
No Matches
vkd3d_shader_signature Struct Reference

Description of a shader input or output signature. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_signature:
[legend]

## Data Fields

struct vkd3d_shader_signature_element * | elements
| Pointer to an array of varyings.
unsigned int | element_count
| Size, in elements, of elements.

## Detailed Description

Description of a shader input or output signature.

This structure is populated by vkd3d_shader_parse_input_signature().

The helper function vkd3d_shader_find_signature_element() will look up a varying element by its semantic name, semantic index, and stream index.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h